package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 负责人类型(0. 主负责人,1. 子负责人)枚举类
*
* @author zxfei
*/
public enum ResponsibleTypeEnum {
    主负责人(0, "主负责人"),
    子负责人(1, "子负责人");
    private Integer value;
    private String desc;

    ResponsibleTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ResponsibleTypeEnum getByValue(Integer value) {
        for (ResponsibleTypeEnum responsibleTypeEnum : ResponsibleTypeEnum.values()) {
            if (responsibleTypeEnum.getValue() == value) {
                return responsibleTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ResponsibleTypeEnum item : ResponsibleTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}